<div class="card">

    <div class="ibox-title">
        <div class="ibox-title-child" style="display: inline-block">
            {{"BREADCRUMBS.PROSPECT_MANAGEMENT.PROSPECT_DETAILS"|translate}}</div>

        <button  mat-mini-fab class="menu-add ml-2" aria-label="Example icon-button with a menu"
            (click)="redirect(1)">
            <mat-icon matTooltip="list des prospects" class="menu-add-icon menu-add-user"><i
                    class="ri-list-unordered"></i></mat-icon>
        </button>

        <!-- create new objects -->
      <button mat-mini-fab [matMenuTriggerFor]="menu" class="menu-add ml-2">
        <mat-icon class="menu-add-icon"><i class="ri-play-list-add-fill"></i></mat-icon>
      </button>
      <mat-menu #menu="matMenu">
        <button mat-menu-item (click)="openDialog('EVENT')">
          <mat-icon>event</mat-icon>
          <span>Evénement</span>
        </button>
        <button mat-menu-item (click)="openDialog('TASK')">
          <mat-icon>check_box</mat-icon>
          <span>Tache</span>
        </button>
        <button mat-menu-item (click)="openDialog('TICKET')">
          <mat-icon>offline_bolt</mat-icon>
          <span>Incident</span>
        </button>
        <button mat-menu-item (click)="openDialog('OPPORTUNITY')">
          <mat-icon>attach_money</mat-icon>
          <span>Opprtunité</span>
        </button>
      </mat-menu>
      <!-- end create new object -->

      <!-- lier contact -->
        <button mat-mini-fab [matMenuTriggerFor]="contact" class="menu-add ml-2">
          <mat-icon matTooltip="Lier Contact" class="menu-add-icon"><i class="ri-contacts-line"></i></mat-icon>
        </button>

      <mat-menu #contact="matMenu">
        <button mat-menu-item (click)="onNewContact()">
          <mat-icon class="menu-add-icon"><i class="ri-contacts-book-line"></i></mat-icon>
          <span>Créer contact</span>
        </button>
        <button mat-menu-item (click)="onAddContact()">
          <mat-icon class="menu-add-icon"><i class="ri-user-add-line"></i></mat-icon>
          <span>Ajouter contact</span>
        </button>
      </mat-menu>
      <!-- end lier contact -->

        <button *ngIf="accountPM?.onboarding_status=='N' ||accountPP?.onboarding_status=='N'" mat-mini-fab class="menu-add  ml-2" aria-label="Example icon-button with a menu" (click)="redirect(2)">
            <mat-icon matTooltip="Onboarding" class="menu-add-icon"><i class="ri-award-line"></i></mat-icon>
        </button>

    </div>


    <div class="card-body container-card">
        <div id="general-informations-body" class="collapse show">
            <div class=" p-0">
                <!-- account pp -->
                <form *ngIf="accountType=='PP'" [formGroup]="accountPPFormGroup" autocomplete="off">
                    <label class="w-auto  legend">Informations générales</label>
                    <fieldset class="border form">
                        <!-- <legend class="w-auto  legend">informations générales</legend> -->

                        <!-- PHOTO -->
                        <!-- <div class="row d-flex justify-content-center">
                                                                <div class=" profilepic" (click)="onDownload()">
                                                                    <img class="profilepic__image"  [src]="photoImg" height="200" width="200" alt="Profibild" />
                                                                    <div class="profilepic__content" >
                                                                      <span class="profilepic__icon"><i class="ri-camera-line"></i></span>
                                                                      <span class="profilepic__text">Edit Profile</span>
                                                                      <input  id="imageUpload"  type="file" (change)="onFileSelected($event)"
                                                                                    [accept]="['.jpeg','.jpg','.png']" capture>
                                                                    </div>
                                                                  </div>
                                                            </div> -->

                        <!-- 1 bloc -->
                        <div class="row">
                            <!-- CIVILITE -->
                            <div class="col-md-3 mt-0">
                                <label class="col-form-label">{{'FIELD.COMPTE_PP.CIVILITE'|translate}}</label>
                                <ngx-select    [items]="civiliteList" [optionValueField]="'code'"
                                    [optionTextField]="'value'" formControlName="civilite"
                                    [placeholder]="'FIELD.COMPTE_PP.CIVILITE'|translate" size='small'
                                    [ngClass]="{'disabled': accountPPFormGroup.get('civilite').disabled}">
                                </ngx-select>

                                <div *ngIf="accountPPFormGroup.get('civilite').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('civilite').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- PRENOM -->
                            <div class="col-md-3 mt-0">
                                <label class="col-form-label">{{'FIELD.COMPTE_PP.NOM'|translate}}</label>

                                <input   type="text" class="form-control form-control-sm" formControlName="lastName"
                                    pattern="[A-Za-zÀ-ÿ ]+" placeholder="{{'FIELD.COMPTE_PP.NOM'|translate}}">

                                <div *ngIf="accountPPFormGroup.get('lastName').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('lastName').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPPFormGroup.get('lastName').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- NOM -->
                            <div class="col-md-3 mt-0">
                                <label class="col-form-label">{{'FIELD.COMPTE_PP.PRENOM'|translate}}</label>

                                <input   type="text" class="form-control form-control-sm" formControlName="firstName"
                                    pattern="[A-Za-zÀ-ÿ ]+" placeholder="{{'FIELD.COMPTE_PP.PRENOM'|translate}}">
                                <div *ngIf="accountPPFormGroup.get('firstName').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('firstName').errors.required"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPPFormGroup.get('firstName').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- profission -->
                            <div class="col-md-3 mt-0">
                                <label class="col-form-label">{{'FIELD.COMPTE_PP.PROFESSION'|translate}}</label>

                                <input   type="text" class="form-control form-control-sm" formControlName="profission"
                                    placeholder="{{'FIELD.COMPTE_PP.PROFESSION'|translate}}" pattern="[A-Za-zÀ-ÿ ]+">

                                <div *ngIf="accountPPFormGroup.get('profission').invalid && showValidationsMsg">

                                    <div *ngIf="accountPPFormGroup.get('profission').errors.required"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPPFormGroup.get('profission').errors.pattern"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- 2 bloc -->
                        <div class="row ">
                            <!-- PI -->
                            <div class="col-md-3 ">
                                <label class="col-form-label">{{'FIELD.COMPTE_PP.PIECE_IDENTITE'|translate}}</label>

                                <input   type="text" class="form-control form-control-sm" formControlName="pieceIdentite"
                                    pattern="[A-Za-zÀ-ÿ ]+"
                                    placeholder="{{'FIELD.COMPTE_PP.PIECE_IDENTITE'|translate}}">

                                <div *ngIf="accountPPFormGroup.get('pieceIdentite').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('pieceIdentite').errors.required"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPPFormGroup.get('pieceIdentite').errors.pattern"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- NumPi-->
                            <div class="col-md-3 ">
                                <label class="col-form-label">{{'FIELD.COMPTE_PP.NUM_PI'|translate}}</label>

                                <input   type="text" class="form-control form-control-sm" formControlName="numPi"
                                    pattern="[A-Za-zÀ-ÿ 0-9 ]+" placeholder="{{'FIELD.COMPTE_PP.NUM_PI'|translate}}">
                                <div *ngIf="accountPPFormGroup.get('numPi').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('numPi').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPPFormGroup.get('numPi').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- date d'experation pi -->
                            <div class="col-md-3 ">
                                <label class="col-form-label">{{'FIELD.COMPTE_PP.DATE_EXP_PI'|translate}}</label>

                                <input   type="text" class="form-control form-control-sm" formControlName="dateExpPI"
                                    [placeholder]="'FIELD.COMPTE_PP.DATE_EXP_PI'|translate" [owlDateTime]="picker">
                                <span   class="trigger date-trigger-icon" [owlDateTimeTrigger]="picker"
                                    [title]="'FIELD.PLEASE.CHOOSE'|translate">
                                    <i class="ri-calendar-line"></i>
                                </span>
                                <owl-date-time #picker [pickerType]="'calendar'"></owl-date-time>

                                <div *ngIf="accountPPFormGroup.get('dateExpPI').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('dateExpPI').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_DATE'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPPFormGroup.get('dateExpPI').errors.required"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- SECTEUR -->
                            <div class="col-md-3 ">
                                <label class="col-form-label">{{'FIELD.COMPTE_PP.SECT_ACTIVITE'|translate}}</label>
                                <ngx-select    [items]="secteurList" [optionValueField]="'code'"
                                    [optionTextField]="'value'" formControlName="secteur"
                                    [placeholder]="'FIELD.COMPTE_PP.SECT_ACTIVITE'|translate" size='small'
                                    [ngClass]="{'disabled': accountPPFormGroup.get('secteur').disabled}">
                                </ngx-select>

                                <div *ngIf="accountPPFormGroup.get('secteur').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('secteur').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- 3 bloc -->
                        <div class="row ">
                            <!-- code postal -->
                            <div class="col-md-3">
                                <label class="col-form-label">{{'FIELD.COMPTE_PP.CODE_POSTAL'|translate}}</label>
                                <input    type="number" class="form-control form-control-sm" formControlName="codePostale"
                                    placeholder="{{'FIELD.COMPTE_PP.CODE_POSTAL'|translate}}">

                                <div *ngIf="accountPPFormGroup.get('codePostale').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('codePostale').errors.required"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>

                            </div>
                            <!-- nationalite -->
                            <div class="col-md-3">
                                <label class="col-form-label">{{'FIELD.COMPTE_PP.NATIONALITE'|translate}}</label>

                                <ngx-select    [items]="nationaliteList" [optionValueField]="'code'"
                                    [optionTextField]="'value'" formControlName="nationality"
                                    [placeholder]="'FIELD.COMPTE_PP.NATIONALITE'|translate" size='small'
                                    [ngClass]="{'disabled': accountPPFormGroup.get('nationality').disabled}">
                                </ngx-select>

                                <div *ngIf="accountPPFormGroup.get('nationality').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('nationality').errors.required"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>
                            </div>

                            <!-- pays -->
                            <div class="col-md-3">
                                <label class="col-form-label">{{'FIELD.COMPTE_PP.PAYS'|translate}}</label>

                                <ngx-select    [items]="paysList" [optionValueField]="'code'" [optionTextField]="'value'"
                                    formControlName="pays" [placeholder]="'FIELD.COMPTE_PP.PAYS'|translate" size='small'
                                    [ngClass]="{'disabled': accountPPFormGroup.get('pays').disabled}">
                                </ngx-select>

                                <div *ngIf="accountPPFormGroup.get('pays').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('pays').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>
                            </div>

                            <!-- adress -->
                            <div class="col-md-3">
                                <label class="col-form-label">{{'FIELD.COMPTE_PP.ADRESSE'|translate}}</label>
                                <input    type="text" class="form-control form-control-sm" formControlName="address"
                                    placeholder="{{'FIELD.COMPTE_PP.ADRESSE'|translate}}">

                                <div *ngIf="accountPPFormGroup.get('address').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('address').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- 4 bloc -->
                        <div class="row ">

                            <!--phone  -->
                            <div class="col-md-3">
                                <label class="col-form-label">{{'FIELD.COMPTE_PP.MOBILE'|translate}}</label>
                                <input    type="number" class="form-control form-control-sm" formControlName="mobile"
                                    pattern="[0-9\+ ]+" placeholder="{{'FIELD.COMPTE_PP.MOBILE'|translate}}">

                                <div *ngIf="accountPPFormGroup.get('mobile').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('mobile').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPPFormGroup.get('mobile').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                                    </div>
                                </div>
                            </div>

                            <!-- email -->
                            <div class="col-md-3">
                                <label class="col-form-label">{{'FIELD.COMPTE_PP.EMAIL'|translate}}</label>
                                <input    type="email" class="form-control form-control-sm" formControlName="email"
                                    pattern="[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}$"
                                    placeholder="{{'FIELD.COMPTE_PP.EMAIL'|translate}}">

                                <div *ngIf="accountPPFormGroup.get('email').invalid && showValidationsMsg">
                                    <div *ngIf="accountPPFormGroup.get('email').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPPFormGroup.get('email').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_EMAIL'|translate}}</small>
                                    </div>


                                </div>
                            </div>


                        </div>

                    </fieldset>
                </form>
                <!-- end account pp -->

                <!-- account pm -->

                <form *ngIf="accountType=='PM'" [formGroup]="accountPMFormGroup" autocomplete="off">
                    <label class="w-auto  legend">informations générales</label>
                    <fieldset class="form border">
                        <!-- bloc 1 -->
                        <div class="row">
                            <!-- raison social -->
                            <div class="col-md-3">
                                <label class="col-form-label">{{'FIELD.COMPTE_PM.RAISON_SOCIAL'|translate}}</label>
                                <input   type="text" class="form-control form-control-sm" formControlName="socialReason"
                                    pattern="[A-Za-z0-9 ]+" placeholder="{{'FIELD.COMPTE_PM.RAISON_SOCIAL'|translate}}">

                                <div *ngIf="accountPMFormGroup.get('socialReason').invalid && showValidationsMsg">
                                    <div *ngIf="accountPMFormGroup.get('socialReason').errors.required"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPMFormGroup.get('socialReason').errors.pattern"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- form juridique -->
                            <div class="col-md-3">
                                <label class="col-form-label">{{'FIELD.COMPTE_PM.FORME_JURI'|translate}}</label>
                                <ngx-select   [items]="formeJuridiqueList" [optionValueField]="'code'"
                                    [optionTextField]="'value'" formControlName="legalForm"
                                    [placeholder]="'FIELD.COMPTE_PM.FORME_JURI'|translate" size='small'
                                    [ngClass]="{'disabled': accountPMFormGroup.get('legalForm').disabled}">
                                </ngx-select>

                                <div *ngIf="accountPMFormGroup.get('legalForm').invalid && showValidationsMsg">
                                    <div *ngIf="accountPMFormGroup.get('legalForm').errors.required"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- ICE -->
                            <div class="col-md-3">
                                <label class="col-form-label">{{'FIELD.COMPTE_PM.ICE'|translate}}</label>
                                <input   type="text" class="form-control form-control-sm" formControlName="ice"
                                    pattern="[A-Za-z0-9 ]+" placeholder="{{'FIELD.COMPTE_PM.ICE'|translate}}">

                                <div *ngIf="accountPMFormGroup.get('ice').invalid && showValidationsMsg">
                                    <div *ngIf="accountPMFormGroup.get('ice').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPMFormGroup.get('ice').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- pays -->
                            <div class="col-md-3">
                                <label class="col-form-label">{{'FIELD.COMPTE_PP.PAYS'|translate}}</label>
                                <ngx-select   [items]="paysList" [optionValueField]="'code'" [optionTextField]="'value'"
                                    formControlName="pays" [placeholder]="'FIELD.COMPTE_PP.PAYS'|translate" size='small'
                                    [ngClass]="{'disabled': accountPMFormGroup.get('pays').disabled}">
                                </ngx-select>
                                <div *ngIf="accountPMFormGroup.get('pays').invalid && showValidationsMsg">
                                    <div *ngIf="accountPMFormGroup.get('pays').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="row ">



                            <!-- adress -->
                            <div class="col-md-3">
                                <label class="col-form-label">{{'FIELD.COMPTE_PM.ADRESSE'|translate}}</label>
                                <input   type="text" class="form-control form-control-sm" formControlName="address"
                                    placeholder="{{'FIELD.COMPTE_PM.ADRESSE'|translate}}">
                                <div *ngIf="accountPMFormGroup?.get('address')?.invalid && showValidationsMsg"
                                    class="text-danger">
                                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                </div>
                            </div>
                            <!-- phone -->
                            <div class="col-md-3">
                                <label class="col-form-label">{{'FIELD.COMPTE_PM.PHONE'|translate}}</label>

                                <input   type="number" class="form-control form-control-sm" formControlName="phone"
                                    pattern="[0-9\+ ]+" placeholder="{{'FIELD.COMPTE_PM.PHONE'|translate}}">

                                <div *ngIf="accountPMFormGroup.get('phone').invalid && showValidationsMsg">
                                    <div *ngIf="accountPMFormGroup.get('phone').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPMFormGroup.get('phone').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- fixe -->
                            <div class="col-md-3">
                                <label class="col-form-label">{{'FIELD.COMPTE_PM.FIXE'|translate}}</label>

                                <input   type="number" class="form-control form-control-sm" formControlName="fixe"
                                    pattern="[0-9\+ ]+" placeholder="{{'FIELD.COMPTE_PM.FIXE'|translate}}">

                                <div *ngIf="accountPMFormGroup.get('fixe').invalid && showValidationsMsg">
                                    <div *ngIf="accountPMFormGroup.get('fixe').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPMFormGroup.get('fixe').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                                    </div>
                                </div>
                            </div>
                            <!-- Email -->
                            <div class="col-md-3">
                                <label class="col-form-label">{{'FIELD.COMPTE_PM.EMAIL'|translate}}</label>

                                <input   type="text" class="form-control form-control-sm" formControlName="email"
                                    pattern="[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}$"
                                    placeholder="{{'FIELD.COMPTE_PM.EMAIL'|translate}}">

                                <div *ngIf="accountPMFormGroup.get('email').invalid && showValidationsMsg">
                                    <div *ngIf="accountPMFormGroup.get('email').errors.pattern" class="text-danger">
                                        <small>{{'FIELD.ERRORS.PATTERN_EMAIL'|translate}}</small>
                                    </div>
                                    <div *ngIf="accountPMFormGroup.get('email').errors.required" class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>
                            </div>


                        </div>

                        <div class="row">

                            <!-- code postal -->
                            <div class="col-md-3">
                                <label class="col-form-label">{{'FIELD.COMPTE_PP.CODE_POSTAL'|translate}}</label>

                                <input   type="number" class="form-control form-control-sm" formControlName="codePostale"
                                    placeholder="{{'FIELD.COMPTE_PP.CODE_POSTAL'|translate}}">

                                <div *ngIf="accountPMFormGroup.get('codePostale').invalid && showValidationsMsg">
                                    <div *ngIf="accountPMFormGroup.get('codePostale').errors.required"
                                        class="text-danger">
                                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                    </div>
                                </div>

                            </div>
                            <!-- site -->
                            <div class="col-md-3">
                                <label class="col-form-label">{{'FIELD.COMPTE_PM.WEBSITE'|translate}}</label>

                                <input   type="text" class="form-control form-control-sm" formControlName="webSite"
                                    placeholder="{{'FIELD.COMPTE_PM.WEBSITE'|translate}}">

                                <div *ngIf="accountPMFormGroup?.get('webSite')?.invalid && showValidationsMsg"
                                    class="text-danger">
                                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                                </div>
                            </div>
                        </div>
                    </fieldset>

                </form>
                <!-- end account pm -->

              <!-- buttons edit/sumbit -->
              <div class="p-2 text-right">
                <button *ngIf="!isEdit" type="button" class="submit-button btn  btn-sm" [title]="'FIELD.BUTTONS.SAVE'|translate"><i
                  class="ri-save-line" (click)="onSubmit()"></i></button>
                <button *ngIf="isEdit" type="button" class="submit-button btn  btn-sm" [title]="'FIELD.BUTTONS.Edit'|translate"><i
                  class="ri-pencil-fill" (click)="onEdit(); onEnableForm();"></i></button>
              </div>
              <!-- end buttons edit/sumbit -->
            </div>


            <!-- start tabs -->
            <div class="row mt-2">
                <div class="col-12">
                    <div class="">
                        <div class=" pt-0 pb-2 px-0">
                            <ul class="nav nav-tabs mb-0 .nav-justified-custom" id="myTab-1" role="tablist">
                                <li class="nav-item">
                                    <a class="nav-link active" id="contact-tab" data-toggle="tab" href="#contact" role="tab" aria-controls="contact" aria-selected="false">{{'ACTIVITY_CONSULTATION.CONTACT_LIST'|translate}} <span class="badge">{{contactListComponent?.contactsList?.length}}</span></a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="event-tab" data-toggle="tab" href="#event" role="tab" aria-controls="event" aria-selected="true">{{'ACTIVITY_CONSULTATION.EVENT_LIST'|translate}}<span class="badge">{{eventListComponent?.eventList?.length}}</span></a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="task-tab" data-toggle="tab" href="#task" role="tab" aria-controls="task" aria-selected="true">{{'ACTIVITY_CONSULTATION.TASK_LIST'|translate}} <span  class="badge">{{taskListComponent?.taskList?.length}}</span></a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="incident-tab" data-toggle="tab" href="#incident" role="tab" aria-controls="incident" aria-selected="true">{{'ACTIVITY_CONSULTATION.INCIDENT_LIST'|translate}} <span class="badge">{{IncidentListComponent?.incidentList?.length}}</span></a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="opportunite-tab" data-toggle="tab" href="#opportunite" role="tab" aria-controls="opportunite" aria-selected="false">{{'ACTIVITY_CONSULTATION.OPPORTUNITE_LIST'|translate}} <span class="badge">{{opportuniteListComponent?.opportuniteList?.length}}</span> </a>
                                </li>
                            </ul>
                            <div class="tab-content">
                                <div class="tab-pane fade show active" id="contact" role="tabpanel" aria-labelledby="contact-tab">
                                    <div class="mt-0">
                                        <app-contact-list [filter]="{filterBody: {accountCode:contactFilter?.accountCode, accountType: contactFilter?.accountType}}" [enableActions]="isEdit"></app-contact-list>
                                    </div>
                                </div>
                                <div class="tab-pane fade" id="event" role="tabpanel" aria-labelledby="event-tab">
                                  <div class="mt-0">
                                    <app-event-list  [enableActions]="isEdit" [globalFilter]="globalFilter"></app-event-list>
                                  </div>
                                </div>
                                <div class="tab-pane fade" id="task" role="tabpanel" aria-labelledby="task-tab">
                                    <div class="mt-0">
                                        <app-task-list [enableActions]="isEdit" [globalFilter]="globalFilter"></app-task-list>
                                    </div>
                                </div>
                                <div class="tab-pane fade" id="incident" role="tabpanel" aria-labelledby="incident-tab">
                                    <div class="mt-0">
                                        <app-incident-list [enableActions]="isEdit" [globalFilter]="globalFilter"></app-incident-list>
                                    </div>
                                </div>
                                <div class="tab-pane fade" id="opportunite" role="tabpanel" aria-labelledby="opportunite-tab">
                                    <div class="mt-0">
                                        <app-opportunite-list [enableActions]="isEdit" [globalFilter]="globalFilter"></app-opportunite-list>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- end tabs -->

        </div>

    </div>

</div>
